Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.conversion.office2pdf.Word2PDFConfig Class Reference

## Public Member Functions
| Word2PDFConfig ()
| Constructor.
| Word2PDFConfig (boolean is_generate_bookmark)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | getIs_generate_bookmark ()
| Get a boolean value which indicates whether to export bookmarks to converted PDF file. More...
void | set (boolean is_generate_bookmark)
| Set value. More...
void | setIs_generate_bookmark (boolean value)
| Set a boolean value which indicates whether to export bookmarks to converted PDF file. More...

## Detailed Description

This class represents setting data used for converting Word format files to PDF format files.

## Constructor & Destructor Documentation

## ◆ Word2PDFConfig()

com.foxit.sdk.addon.conversion.office2pdf.Word2PDFConfig.Word2PDFConfig | ( | boolean | is_generate_bookmark | ) |

Constructor, with parameters.

Parameters

  [in] | is_generate_bookmark | A boolean value which indicates whether to export bookmarks to converted PDF file.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.conversion.office2pdf.Word2PDFConfig.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getIs_generate_bookmark()

com.foxit.sdk.addon.conversion.office2pdf.Word2PDFConfig.getIs_generate_bookmark | ( |  | ) |

Get a boolean value which indicates whether to export bookmarks to converted PDF file.

true means to export bookmarks to converted PDF file, while false means not. Default value: false.

Returns
  A boolean value which indicates whether to export bookmarks to converted PDF file.

## ◆ set()

void com.foxit.sdk.addon.conversion.office2pdf.Word2PDFConfig.set | ( | boolean | is_generate_bookmark | ) |

Set value.

Parameters

  [in] | is_generate_bookmark | A boolean value which indicates whether to export bookmarks to converted PDF file.

Returns
  None.

## ◆ setIs_generate_bookmark()

com.foxit.sdk.addon.conversion.office2pdf.Word2PDFConfig.setIs_generate_bookmark | ( | boolean | value | ) |

Set a boolean value which indicates whether to export bookmarks to converted PDF file.

true means to export bookmarks to converted PDF file, while false means not. Default value: false.

Parameters

  [in] | value | A boolean value which indicates whether to export bookmarks to converted PDF file.

Returns
  None.